using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsWeatherHourly {

        //날씨예보
        [Display(Name = "현장고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "일시"), Key]
        public DateTime CreatedDate { get; set; }
        [Display(Name = "온도")]
        public double? Temperature { get; set; }
        [Display(Name = "풍속")]
        public double? Wind { get; set; }
        [Display(Name = "강우량")]
        public double? Rainfall { get; set; }
        [Display(Name = "일사량")]
        public double? Irradiation { get; set; }
        [Display(Name = "습도")]
        public double? Humidity { get; set; }
        [Display(Name = "하늘상태")]
        public int? Sky { get; set; }
        [Display(Name = "눈, 비, 눈비, 비눈 구분")]
        public int? Pty { get; set; }
        [Display(Name = "예측 기온(1시간 간격?)")]
        public double? Observation_T1H { get; set; }
        [Display(Name = "예측 습도")]
        public double? Observation_REH { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
    }
}
